Subject: bug#37527: [PATCH] Install C source code for for debugging help

From: Glenn Morris <[email-masked]>
Date: Thu, 03 Oct 2019 18:32:36 -0400

Paul Eggert wrote:

> I hope this email helps to explain further why patching INSTALL is
> merely a stopgap, and why we need a better solution in the next Emacs
> release.

IMO if you need to debug Emacs outside the lisp level, you should build
it and do so from the source directory. I see no need to start
distributing the C source in installations. If any serious debugging is
needed, people are usually advised to use unoptimized builds anyway.